<?php
ob_start();

session_start(); // Inicia la sesión

// Define la zona horaria
date_default_timezone_set('America/Tijuana'); 

// Tiempo límite en segundos (por ejemplo, 1800 = 30 minutos)
$session_lifetime = 1800;

// Verificar la vigencia de la sesión
if (isset($_SESSION['last_activity'])) {
    $inactive_time = time() - $_SESSION['last_activity'];
    if ($inactive_time > $session_lifetime) {
        session_unset(); // Limpia las variables de sesión
        session_destroy(); // Destruye la sesión
        header("Location: login.php"); // Redirige al inicio de sesión
        exit();
    }
}
$_SESSION['last_activity'] = time(); // Actualiza el tiempo de actividad


//$host = '192.168.1.186';
//$host = 'localhost';
$host = '64.140.167.50';
$user = 'sistemas';
//$password='@lgo123';
$password = 'L@v@t3c7510';
$db = 'uniformes';

$connection = @mysqli_connect($host,$user,$password,$db);

if(!$connection){
	echo "Error en la conexion";
	} 
	
?>